package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Marcas generated by hbm2java
 */
@Entity
@Table(name="marcas"
    ,catalog="sistema_ventas"
)
public class Marcas  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private Integer idmarca;
     private String marca;
     private Set<Modelos> modeloses = new HashSet<Modelos>(0);

    public Marcas() {
    }

	
    public Marcas(String marca) {
        this.marca = marca;
    }
    public Marcas(String marca, Set<Modelos> modeloses) {
       this.marca = marca;
       this.modeloses = modeloses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idmarca", unique=true, nullable=false)
    public Integer getIdmarca() {
        return this.idmarca;
    }
    
    public void setIdmarca(Integer idmarca) {
        this.idmarca = idmarca;
    }

    
    @Column(name="marca", nullable=false, length=65535)
    public String getMarca() {
        return this.marca;
    }
    
    public void setMarca(String marca) {
        this.marca = marca;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="marcas")
    public Set<Modelos> getModeloses() {
        return this.modeloses;
    }
    
    public void setModeloses(Set<Modelos> modeloses) {
        this.modeloses = modeloses;
    }




}


